petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESReasonView

Displays the reason a SNES solve converged or diverged to a viewer

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESReasonView(SNES snes,PetscViewer viewer)

Collective on SNES

### Parameter

| snes | - iterative context obtained from SNESCreate()
| viewer | - the viewer to display the reason

### Options Database Keys

-snes_converged_reason -print reason for converged or diverged, also prints number of iterations

### Keywords

SNES, solve, linear system

### See Also

SNESCreate(), SNESSetUp(), SNESDestroy(), SNESSetTolerances(), SNESConvergedDefault()

Level:beginner
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages